<?php

/**
 * @file
 * Entity List Field class file.
 *
 * At this point there is no real need for this module to extend EntityLister.
 * We could just as easily use the EntityLister class itself.  However,
 * extending it is harmless and at some point we may need to override some
 * things in EntityLister, and this EntityListFieldList class will provide a
 * home for those customizations.
 */

class EntityListFieldList extends EntityLister {

  public $config;
  public $delta;
  public $flag;
  public $hostItem;

  /**
   * Construct the list object.
   *
   * @param array $config
   *   The config options for the list, in an associative array.
   * @param int $delta
   *   The delta.
   * @param string $field_name
   *   The field name.
   * @param array $host_item
   *   When this class is used for a field formatter, this array describes the
   *   item to which the field is attached. See below.
   *
   * The $host_item array:
   *   $host_item[0] The host item's entity_id.
   *   $host_item[1] The host item's revision_id.
   *   $host_item[2] The host item's bundle.
   *   $host_item[3] The host item's entity type.
   */
  public function __construct($config = array(), $delta = 0, $field_name = '', $host_item = array()) {

    $this->config = $config;
    $this->delta = $delta;
    $this->flag = $field_name;
    $this->hostItem = $host_item;

  }

}
